#
# spec file for package numactl (Version 0.9.6)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           numactl
License:        GPL
Summary:        NUMA Policy Control
Version:        0.9.6
Release:        3.8
Autoreqprov:    on
Source:         numactl-%version.tar.gz
Patch0:         numactl-zero
Patch1:         numactl-zero-fix
Patch2:         numactl-node-to-cpus
Patch3:         numactl-number-of-cpus
Patch4:         numactl-save-errno
Patch5:         libnuma-new-cpumap
Patch6:         libnuma-endian
Group:          System/Management
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch: ia64 x86_64 ppc64 ppc
Requires:       perl

%description
Control NUMA policy for individual processes. Offer libnuma for
individual NUMA policy in applications.



Authors:
--------
    Andi Kleen (ak@suse.de)

%debug_package
%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
make CFLAGS="${RPM_OPT_FLAGS}"

%install 
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man2
install -d -m 755 $RPM_BUILD_ROOT/usr/bin
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man8
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man3
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man5
install -d -m 755 $RPM_BUILD_ROOT%{_libdir}
install -d -m 755 $RPM_BUILD_ROOT/usr/include
make prefix=${RPM_BUILD_ROOT}/usr install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %{_mandir}/man8/*
%doc %{_mandir}/man3/*
%doc %{_mandir}/man5/*
/usr/bin/*
%{_libdir}/lib*
/usr/include/*

%changelog -n numactl
* Mon Jun 12 2006 - ak@suse.de
- Fix big endian in cpumap parsing (#183228)
* Fri Jun 09 2006 - ak@suse.de
- Final fix for cpumap parsing (#183228)
* Thu Jun 08 2006 - ak@suse.de
- Save/restore errno correctly (#182158)
* Thu Jun 08 2006 - ak@suse.de
- Fix cpu buffer sizing for affinity syscalls (#182145)
* Tue May 23 2006 - ak@suse.de
- Fix cpumap parsing again (#177749)
* Thu Mar 30 2006 - ak@suse.de
- Fix the cpumap parsing fix to not corrupt memory (still #161089)
* Tue Mar 28 2006 - ak@suse.de
- Update to 0.9.6: (#161089)
  * consolidates earlier changes
  * fix migrate pages error handling
  * add numa_maps manpage
  * fix cpumap parsing on large systems
  * some build fixes
* Thu Mar 23 2006 - ak@suse.de
- Don't install syscall manpages which are in the normal
  manpages now (#158550)
* Sun Feb 12 2006 - ak@suse.de
- Install migratepages manpage (followon for #143825)
* Wed Feb 08 2006 - ak@suse.de
- Add support for page migration (#143825)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 04 2006 - ak@suse.de
- Update to numactl 0.9.1 to fix ppc32 build.
* Tue Jan 03 2006 - ak@suse.de
- Update to numactl 0.9
* Mon Dec 19 2005 - ak@suse.de
- Update to numactl 0.8
* Fri Dec 16 2005 - ro@suse.de
- do not build as root
* Mon Oct 10 2005 - ak@suse.de
- use RPM_OPT_FLAGS
- fix build on ia64 with debuginfo package
* Mon Oct 10 2005 - ak@suse.de
- Fix includes in manpages (#72853)
- Fix buffer length calculation (#118980)
* Wed Apr 27 2005 - jplack@suse.de
- override broken calculation of libdir in Makefile by using
  %%{_libdir} rpm macro (#75249). Now it builds on ppc also.
* Mon Apr 25 2005 - jplack@suse.de
- added numactl-LDPS1255-ppc (#75249 - LTC14536)
* Tue Apr 05 2005 - ak@suse.de
- Fix manpages (#72835, #65944)
- Fix thread handling with NPTL (#64496)
* Mon Nov 22 2004 - ak@suse.de
- Fix C++ compilation (#45796)
* Tue Sep 07 2004 - ak@suse.de
- Fix numa_node_to_cpus on big machines (#44433)
* Wed Jun 16 2004 - ak@suse.de
- Fix --cpubind on kernels with large NR_CPUS (#42041)
* Sat Jun 05 2004 - ak@suse.de
- update to 0.6.4:
  * add copyright headers for GPL and LGPL (#41685)
- Add requires to perl for numastat
* Thu May 20 2004 - ak@suse.de
- update to 0.6.3:
  * fix cpu map parsing with large number of CPUs (#40820)
* Tue May 11 2004 - ak@suse.de
- update to 0.6.2:
  * fix numademo to use STREAM
  * make headers C++ clean
  * some other bug fixes.
  * add preliminary i386 syscalls
* Sun Apr 04 2004 - ak@suse.de
- compile on ia64 too
* Thu Apr 01 2004 - ak@suse.de
- update to 0.6 final. fix a few bugs in numactl and libnuma and
  work on IA64 too
* Mon Mar 22 2004 - ak@suse.de
- update to 0.6pre.
* Mon May 19 2003 - ak@suse.de
- update to numactl-0.3. add libnuma and new manpages. add numademo.
* Wed May 07 2003 - ak@suse.de
- package written and created
